<p>
<link rel="stylesheet" href="stat.css" type="text/css">
<title>INTRO|STAT</title>
<table border=1 cellpadding=3 cellspacing=0>
<tr><th>PACKAGE</th><td class=package>
	<a href="http://www.acm.org/~perlman/stat/">|STAT</a> Data Manipulation and Analysis,
	by <a href="http://www.acm.org/~perlman/">Gary Perlman</a>
</tr>

<tr><th>NAME</th>
<td class=name>
     |STAT - compact data analysis programs (1980-1987)

<tr><th>DESCRIPTION</th>
<td>

     |STAT is a set of data manipulation and analysis programs developed by
     Gary Perlman while at the University of California, San Diego and at
     the Wang Institute of Graduate Studies.  The programs are designed
     with the UNIX philosophy that individual programs should be designed
     as tools that do one task well and produce output suitable for input
     via pipes to other programs.  Interactive use is supported in the UNIX
     shell which also provides a programming language for complex analyses.
     Functionality often built into statistical packages (e.g., graphics,
     sorting and other data manipulation) is not re-invented in |STAT which
     delegates such responsibility to standard UNIX tools.
<p>
     DATA MANIPULATION PROGRAMS
<pre>
 1  <a href="/~perlman/stat/doc/abut.htm">abut          join data files</a>
 2  <a href="/~perlman/stat/doc/colex.htm">colex         column extraction/formatting</a>
 3  <a href="/~perlman/stat/doc/dm.htm">dm            column oriented data manipulator</a>
 4  <a href="/~perlman/stat/doc/dsort.htm">dsort         multiple-key data line sorting filter</a>
 5  <a href="/~perlman/stat/doc/ff.htm">ff            fast plain text formatter</a>
 6  <a href="/~perlman/stat/doc/fpack.htm">fpack         plain text file archiver</a>
 7  <a href="/~perlman/stat/doc/linex.htm">linex         line extraction</a>
 8  <a href="/~perlman/stat/doc/maketrix.htm">maketrix      create matrix type file from free-form file</a>
 9  <a href="/~perlman/stat/doc/perm.htm">perm          permute line order</a>
10  <a href="/~perlman/stat/doc/probdist.htm">probdist      probability distribution functions</a>
11  <a href="/~perlman/stat/doc/ranksort.htm">ranksort      rank order columns</a>
12  <a href="/~perlman/stat/doc/repeat.htm">repeat        repeat a pattern or file</a>
13  <a href="/~perlman/stat/doc/reverse.htm">reverse       reverse lines, columns, and characters</a>
14  <a href="/~perlman/stat/doc/series.htm">series        print a series of numbers</a>
15  <a href="/~perlman/stat/doc/transpose.htm">transpose     transpose matrix type file</a>
16  <a href="/~perlman/stat/doc/validata.htm">validata      verify data file consistency</a>
</pre>
<p>
     ANALYSIS PROGRAMS
<pre>
 1  <a href="/~perlman/stat/doc/anova.htm">anova         multi-factor analysis of variance</a>
 2  <a href="/~perlman/stat/doc/calc.htm">calc          interactive algebraic modeling calculator</a>
 3  <a href="/~perlman/stat/doc/contab.htm">contab        contingency tables and chi-square</a>
 4  <a href="/~perlman/stat/doc/desc.htm">desc          descriptions, histograms, frequency tables</a>
 5  <a href="/~perlman/stat/doc/dprime.htm">dprime        signal detection d' and beta calculations</a>
 6  <a href="/~perlman/stat/doc/features.htm">features      display features of items</a>
 7  <a href="/~perlman/stat/doc/oneway.htm">oneway        one-way anova and t-test and error-bar plots</a>
 8  <a href="/~perlman/stat/doc/pair.htm">pair          paired data statistics, regression, plots</a>
 9  <a href="/~perlman/stat/doc/rankind.htm">rankind       rank order analysis for independent conditions</a>
10  <a href="/~perlman/stat/doc/rankrel.htm">rankrel       rank order analysis for related conditions</a>
11  <a href="/~perlman/stat/doc/regress.htm">regress       multiple linear regression</a>
12  <a href="/~perlman/stat/doc/stats.htm">stats         report summary statistics</a>
13  <a href="/~perlman/stat/doc/ts.htm">ts            time series analysis and plots</a>
</pre>

<tr><th>SEE ALSO</th>
<td>
	 The |STAT Handbook
	 (<a href="http://www.acm.org/~perlman/stat/handbook/handbook.html">140K HTML</a>)
	 (<a href="http://www.acm.org/~perlman/stat/handbook.pdf">165K PDF</a>)
	 (<a href="http://www.acm.org/~perlman/stat/handbook/handbook.txt">130K TXT</a>)
	 <p>
	 Other tools:
     awk, cat, cp, grep, ls, mv, pr, rm, sed,
     sh, sort, uniq, and more recently perl

</table>
