#! /usr/local/bin/perl

&readform();

&init();

$options = &formshow($F{'options'});

print "Content-type: text/html\r\n\r\n";

print '<a href="http://www.acm.org/~perlman/stat/">|STAT</a>
by <a href="http://www.acm.org/~perlman/">Gary Perlman</a>
';

print "<form method=POST action=stat.cgi>
$progs
<input name=options value=$options>
<input type=submit name=action value=Run>
<input type=submit name=action value=Help>
<br>
<textarea rows=10 cols=50 name=data>$F{'data'}</textarea>
</form>
<hl>
<pre>
";


if ($F{'action'} eq "Help") {
	$F{'options'} = $F{'program'};
	$F{'program'} = "manstat";
}



$run = "echo '$F{'data'}' | $F{'program'} $F{'options'}";

open (PIPE, "$run |") || ($result = "error");
while (<PIPE>) {
	print;
}
close PIPE;
print "$result\n";




sub formshow
{
	local ($val) = (@_);
	$val =~ s/&/&amp;/g; # must be first
	$val =~ s/"/&quot;/g;
	$val =~ s/</&lt;/g;
	$val =~ s/>/&gt;/g;
	$val = "\"$val\"";
	return ($val);
}

sub init
{
	$progdir = '/home/perlman/stat/bin';
	chdir $progdir || die "Can't change directory";
	$ENV{'PATH'} = ".";
	if (opendir (BIN, ".")) {
		@progs = sort (grep (!/^[.]/, readdir(BIN)));
		closedir (BIN);
		for $prog (@progs) {
			$progs .= "<option value=$prog>$prog\n";
		}
		$progs = "<select name=program>
			<option value=\"$F{'program'}\" selected>$F{'program'}
			$progs
			</select>";
	}
}

sub readform
{
# Read data and set defaults
%F = &formdata();
 
$F{'options'} =~ s/[\`\$\|\<\>\/]//g;
}


sub formdata { # nil -> %F
    local (*F);
    if ($ENV{'REQUEST_METHOD'} eq 'POST') {
        read (STDIN, $F, $ENV{'CONTENT_LENGTH'});
    } else {
        $F = $ENV{'QUERY_STRING'};
    }
    @F = split (/&/, $F);
    for (@F) {
        local ($name, $value) = split (/=/, $_, 2);
        $value =~ s/\+/ /g;
        $value =~ s/%([\dA-Fa-f][\dA-Fa-f])/pack ("C", hex ($1))/eg;
        $F{$name} = $value;
    }
    return (%F);
}
