#! /usr/local/bin/perl

require "./stat.pl";

$pgm = "calc";
$desc = "Algebraic Calculator";
$revision = "$Revision: 1.7 $$ ";

%F = &formdata ($pgm);

$F{'rows'} = 10 unless $F{'rows'};

$F{'example'} && &example(); # defined below

&beginPage($pgm, $desc);

	&beginForm($pgm, $desc);
	&endForm("Enter one expression per line");

	($options, $cmd) = &makeCmd();
	&runCmd($pgm, $cmd);

&endPage();

sub example {
	local ($data) = "; quadratic roots\na = 1\nb = 3\nc = 1\n";
	$data .= "s = b^2 - 4 * a * c\nr = sqrt(s)\n";
	$data .= "root1 = (-b - r) / (2 * a)\n";
	$data .= "root2 = (-b + r) / (2 * a)\n";
	$F{'data'} = $data;
}

