// $Revision: 1.7 $

function other(pgmspec) {
	var parms = pgmspec.split('&');
	var pgm = parms[0];
	var url = pgm + '.cgi?';
	if (document.form.data.value.length < 1000) {
		url += 'data=' + escape(document.form.data.value);
	} else {
		url += 'data=' + escape('too much data to copy');
	}
	for (var i=1; i < parms.length; i++) {
		// alert('Adding to ' + pgm + ' ' + parms[i]);
		var tmpname = 'document.form.' + parms[i] + '.value';
		url += '&' + parms[i] + '=' + escape(eval(tmpname));
	}
	location = url;
}

function update(dr,dc) {
	if (dr) {
		var rows = parseInt(document.form.rows.value) + dr;
		if (rows < 1)
			rows = 1;
		document.form.rows.value = rows;
	}
	document.form.data.rows = document.form.rows.value;
	if (dc) {
		var cols = parseInt(document.form.cols.value) + dc
		if (cols < 5)
			cols = 5;
		document.form.cols.value = cols;
	}
	document.form.data.cols = document.form.cols.value;
	document.form.data.focus();
}

function setFocus() {
	if (document.form.data.value.length == 0)
		document.form.data.focus();
}

function getCookie(Name) {
   var search = Name + "=";
   if (document.cookie.length > 0) {
	  offset = document.cookie.indexOf(search);
	  if (offset != -1) {
		 offset += search.length;
		 end = document.cookie.indexOf(";", offset);
		 if (end == -1)
			end = document.cookie.length;
		 return unescape(document.cookie.substring(offset, end));
	  }
   }
}

function setCookie(name, value, years) {
   var expires = new Date();
   expires.setFullYear(expires.getFullYear()+years);
   document.cookie = name + "=" + escape(value)+";"+"path=/"+
		";expires=" + expires.toGMTString();
}

function showCookies() {
	alert('Cookies for domain:\n' + unescape(document.cookie.replace(/; /g, '\n')) + '\ncharacters: ' + document.cookie.length);
}

function clearCookies() {
	if (document.cookie) {
		var cookies = document.cookie.split('; ');
		var name;
		for (var i = 0; i < cookies.length; i++) {
			if (cookies[i].length) {
				offset = cookies[i].indexOf('=');
				name = cookies[i].substring(0,offset);
				// alert("|" + cookies[i] + "| -> |" + name + "|");
				setCookie(name, "", 0);
			}
		}
	}
}

function isClearable(e) {
	if (!e.name)
		return false;
	if (e.name == "data" || e.name == "parms" || e.name == 'rand' || e.name == 'vars')
		return true;
	if (e.name.length == 1)
		return true;
	return false;
}

function clearForm(pgm, form) {
	setCookie(pgm, "", 0);
	for (var i = 0; i < form.elements.length; i++) {
		var e = form.elements[i];
		if (isClearable(e)) {
			if (e.type == "text" || e.type == "textarea" || e.type == "password") {
				e.value = "";
			} else if (e.type == "radio" || e.type == "checkbox") {
				e.checked = false;
			} else if (e.type == "select-one" || e.type == "select-multiple") {
				for (var o = 1; o < e.options.length; o++)
					e.options[o].selected = false;
				e.options[0].selected = true;
			}
		}
	}
}
